package com.ruoyi.bst.vipOrder.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.ruoyi.bst.vipOrder.domain.VipOrder;
import com.ruoyi.bst.vipOrder.domain.VipOrderQuery;
import com.ruoyi.bst.vipOrder.domain.VipOrderVO;

/**
 * 卡券订单Mapper接口
 *
 * @author ruoyi
 * @date 2025-05-24
 */
public interface VipOrderMapper
{
    /**
     * 查询卡券订单
     *
     * @param id 卡券订单主键
     * @return 卡券订单
     */
    VipOrderVO selectVipOrderById(Long id);

    /**
     * 查询卡券订单列表
     *
     * @param query 卡券订单
     * @return 卡券订单集合
     */
    List<VipOrderVO> selectVipOrderList(@Param("query")VipOrderQuery query);

    /**
     * 新增卡券订单
     *
     * @param vipOrder 卡券订单
     * @return 结果
     */
    int insertVipOrder(VipOrder vipOrder);

    /**
     * 修改卡券订单
     *
     * @param vipOrder 卡券订单
     * @return 结果
     */
    public int updateVipOrder(@Param("data") VipOrder vipOrder);

    /**
     * 删除卡券订单
     *
     * @param id 卡券订单主键
     * @return 结果
     */
    int deleteVipOrderById(Long id);

    /**
     * 批量删除卡券订单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVipOrderByIds(Long[] ids);

    /**
     * 根据查询条件更新卡券订单
     *
     * @param data 卡券订单
     * @param query 查询条件
     * @return 结果
     */
    int updateByQuery(@Param("data") VipOrder data, @Param("query") VipOrderQuery query);
}
